Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
PersonalizeCloud Portal
Sitecore Personalize developer documentation
  • Developing with Sitecore Personalize
    • Base URL
    • Response codes
        • Create a decision model
        • Retrieve decision models
        • Retrieve a decision model
        • Update a decision model
        • Retrieve revisions
        • Retrieve a revision
        • Retrieve variants
  1. Decision model REST API
  1. REST APIs
  2. Decision model REST API

Retrieve decision models

GET /v2/decisionModelDefinitions

Retrieves all decision models.

In the response, in every object in the items array, the ref key contains the decision model reference.

You use the decision model reference to interact with a specific decision model, for example, to retrieve or update it.

curl -X GET '<baseURL>/v2/decisionModelDefinitions' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'
{  
   "href":"<baseURL>/v2/decisionModelDefinitions",
   "items":[  
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89",
         "ref":"e8878fdb-4031-423c-a12b-5691381f0c89",
         "name":"Determine Ancillary Upsell",
         "modifiedByUserRef":"843c775e-db9c-49f6-9f56-e3999123bcf4",
         "modifiedAt":"2025-10-10T15:14:40.233Z",
         "revision":3,
         "archived":false,
         "deploymentConfiguration":{  
            "variants":[  
               {  
                  "variantRef":"19700f15-4069-4121-b709-1031118677c8",
                  "split":100,
                  "status":"PRODUCTION",
                  "variantRevision":1
               },
               {  
                  "variantRef":"42e882a5-c8a8-4149-be76-343409d10c1c",
                  "split":0,
                  "status":"PRODUCTION",
                  "variantRevision":1
               }
            ]
         },
         "variants":{  
            "href":"<baseURL>/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89/variants"
         },
         "revisions":{  
            "href":"<baseURL>/v2/decisionModelDefinitions/e8878fdb-4031-423c-a12b-5691381f0c89/revisions"
         }
      },
      {  
         "clientKey":"pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
         "href":"<baseURL>/v2/decisionModelDefinitions/34ef5f20-65e9-4fd3-bd3f-6e434ced69a8",
         "ref":"34ef5f20-65e9-4fd3-bd3f-6e434ced69a8",
         "name":"DETERMINE MMB OFFERS",
         "description":"MANAGE MY BOOKING SEASONAL OFFERS",
         "modifiedByUserRef":"c008c81d-4941-46aa-b4e6-a17e8388498a",
         "modifiedAt":"2025-10-08T16:26:05.124Z",
         "revision":2,
         "archived":false,
         "deploymentConfiguration":{  
            "variants":[  
               {  
                  "variantRef":"da0ee56d-a684-48f4-91d1-bb6009c66f73",
                  "split":100,
                  "status":"PRODUCTION",
                  "variantRevision":1
               }
            ]
         },
         "variants":{  
            "href":"<baseURL>/v2/decisionModelDefinitions/34ef5f20-65e9-4fd3-bd3f-6e434ced69a8/variants"
         },
         "revisions":{  
            "href":"<baseURL>/v2/decisionModelDefinitions/34ef5f20-65e9-4fd3-bd3f-6e434ced69a8/revisions"
         }
      }
   ]
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use